<template>
  <v-container
    fill-height
    fluid
    grid-list-xl>
    <v-layout
      justify-center
      wrap
    >
      <v-flex
        xs12
        md8
      >
        <material-card
          color="green"
          :title="name"
          :text="ruRole"
        >
          <teacher-groups v-if="role === 'teacher'"/>
        </material-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
import { mapState } from 'vuex';
import TeacherGroups from '@/components/profile/TeacherGroups'

import { VTextField } from 'vuetify/lib';
const baseFormControlConfig = {
  readonly: true,
  outlined: true,
  dense: true,
  height: 40
}
export default {
  components: {
    TeacherGroups,
  },
  computed: {
    ...mapState('user', ['name', 'role']),
    ruRole() {
      switch (this.role) {
        case 'teacher':
          return 'Преподаватель';
        case 'student':
          return 'Ученик';
        default:
          return 'Неопознанный';
      }
    }
  },
}
</script>
